/[CvsGraph]/cvsgraph/Makefile.in
ViewVC logotype

Annotate of /cvsgraph/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.9.4.2 - (show annotations)
Mon Nov 13 21:28:59 2006 UTC (11 years, 1 month ago) by bertho
Branch: automake-dev1
Changes since 1.9.4.1: +8 -2 lines
Fix make dist-xxx
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 bin_PROGRAMS = cvsgraph$(EXEEXT)
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
41 $(srcdir)/cvsgraph.1.in $(srcdir)/cvsgraph.conf.5.in \
42 $(srcdir)/cvsgraph.spec.in $(top_srcdir)/configure AUTHORS \
43 COPYING ChangeLog INSTALL NEWS depcomp install-sh missing \
44 rcsl.c rcsy.c rcsy.h
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48 $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50 configure.lineno configure.status.lineno
51 mkinstalldirs = $(install_sh) -d
52 CONFIG_HEADER = config.h
53 CONFIG_CLEAN_FILES = cvsgraph.1 cvsgraph.conf.5 cvsgraph.spec
54 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
55 "$(DESTDIR)$(man5dir)"
56 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
57 PROGRAMS = $(bin_PROGRAMS)
58 am_cvsgraph_OBJECTS = cvsgraph.$(OBJEXT) readconf.$(OBJEXT) \
59 utils.$(OBJEXT) rcsy.$(OBJEXT) rcsl.$(OBJEXT)
60 cvsgraph_OBJECTS = $(am_cvsgraph_OBJECTS)
61 cvsgraph_LDADD = $(LDADD)
62 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
63 depcomp = $(SHELL) $(top_srcdir)/depcomp
64 am__depfiles_maybe = depfiles
65 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
66 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
67 CCLD = $(CC)
68 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
69 LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
70 YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
71 SOURCES = $(cvsgraph_SOURCES)
72 DIST_SOURCES = $(cvsgraph_SOURCES)
73 man1dir = $(mandir)/man1
74 man5dir = $(mandir)/man5
75 NROFF = nroff
76 MANS = $(man1_MANS) $(man5_MANS)
77 ETAGS = etags
78 CTAGS = ctags
79 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
80 distdir = $(PACKAGE)-$(VERSION)
81 top_distdir = $(distdir)
82 am__remove_distdir = \
83 { test ! -d $(distdir) \
84 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
85 && rm -fr $(distdir); }; }
86 DIST_ARCHIVES = $(distdir).tar.gz
87 GZIP_ENV = --best
88 distuninstallcheck_listfiles = find . -type f -print
89 distcleancheck_listfiles = find . -type f -print
90 ACLOCAL = @ACLOCAL@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMTAR = @AMTAR@
94 AUTOCONF = @AUTOCONF@
95 AUTOHEADER = @AUTOHEADER@
96 AUTOMAKE = @AUTOMAKE@
97 AWK = @AWK@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CPP = @CPP@
102 CPPFLAGS = @CPPFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 ECHO_C = @ECHO_C@
107 ECHO_N = @ECHO_N@
108 ECHO_T = @ECHO_T@
109 EGREP = @EGREP@
110 EXEEXT = @EXEEXT@
111 GDLIB_CONFIG = @GDLIB_CONFIG@
112 GD_CFLAGS = @GD_CFLAGS@
113 GD_LDFLAGS = @GD_LDFLAGS@
114 GD_LIBS = @GD_LIBS@
115 INSTALL_DATA = @INSTALL_DATA@
116 INSTALL_PROGRAM = @INSTALL_PROGRAM@
117 INSTALL_SCRIPT = @INSTALL_SCRIPT@
118 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
119 LDFLAGS = @LDFLAGS@
120 LEX = @LEX@
121 LEXLIB = @LEXLIB@
122 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
123 LIBOBJS = @LIBOBJS@
124 LIBS = @LIBS@
125 LTLIBOBJS = @LTLIBOBJS@
126 MAKEINFO = @MAKEINFO@
127 OBJEXT = @OBJEXT@
128 PACKAGE = @PACKAGE@
129 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130 PACKAGE_NAME = @PACKAGE_NAME@
131 PACKAGE_STRING = @PACKAGE_STRING@
132 PACKAGE_TARNAME = @PACKAGE_TARNAME@
133 PACKAGE_VERSION = @PACKAGE_VERSION@
134 PATH_SEPARATOR = @PATH_SEPARATOR@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 STRIP = @STRIP@
138 VERSION = @VERSION@
139 YACC = @YACC@
140 ac_ct_CC = @ac_ct_CC@
141 ac_ct_STRIP = @ac_ct_STRIP@
142 ac_prog_pkg_config = @ac_prog_pkg_config@
143 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
144 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
145 am__include = @am__include@
146 am__leading_dot = @am__leading_dot@
147 am__quote = @am__quote@
148 am__tar = @am__tar@
149 am__untar = @am__untar@
150 bindir = @bindir@
151 build_alias = @build_alias@
152 datadir = @datadir@
153 exec_prefix = @exec_prefix@
154 host_alias = @host_alias@
155 includedir = @includedir@
156 infodir = @infodir@
157 install_sh = @install_sh@
158 libdir = @libdir@
159 libexecdir = @libexecdir@
160 localstatedir = @localstatedir@
161 mandir = @mandir@
162 mkdir_p = @mkdir_p@
163 oldincludedir = @oldincludedir@
164 prefix = @prefix@
165 program_transform_name = @program_transform_name@
166 sbindir = @sbindir@
167 sharedstatedir = @sharedstatedir@
168 sysconfdir = @sysconfdir@
169 target_alias = @target_alias@
170 AUTOMAKE_OPTIONS = gnu
171 AM_CFLAGS := -Wall -DETCDIR='"${sysconfdir}"'
172 AM_YFLAGS = -d -t
173 AM_LFLAGS = -d
174 cvsgraph_SOURCES = \
175 cvsgraph.c \
176 readconf.c \
177 utils.c \
178 rcsy.y \
179 rcsl.l
180
181 SUBDIR = contrib
182 man1_MANS = cvsgraph.1
183 man5_MANS = cvsgraph.conf.5
184 CLEANFILES = rcsy.c rcsl.c
185 EXTRA_DIST = contrib cvsgraph.h utils.h readconf.h rcs.h
186 all: config.h
187 $(MAKE) $(AM_MAKEFLAGS) all-am
188
189 .SUFFIXES:
190 .SUFFIXES: .c .l .o .obj .y
191 am--refresh:
192 @:
193 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
194 @for dep in $?; do \
195 case '$(am__configure_deps)' in \
196 *$$dep*) \
197 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
198 cd $(srcdir) && $(AUTOMAKE) --gnu \
199 && exit 0; \
200 exit 1;; \
201 esac; \
202 done; \
203 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
204 cd $(top_srcdir) && \
205 $(AUTOMAKE) --gnu Makefile
206 .PRECIOUS: Makefile
207 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
208 @case '$?' in \
209 *config.status*) \
210 echo ' $(SHELL) ./config.status'; \
211 $(SHELL) ./config.status;; \
212 *) \
213 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
214 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
215 esac;
216
217 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
218 $(SHELL) ./config.status --recheck
219
220 $(top_srcdir)/configure: $(am__configure_deps)
221 cd $(srcdir) && $(AUTOCONF)
222 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
223 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
224
225 config.h: stamp-h1
226 @if test ! -f $@; then \
227 rm -f stamp-h1; \
228 $(MAKE) stamp-h1; \
229 else :; fi
230
231 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
232 @rm -f stamp-h1
233 cd $(top_builddir) && $(SHELL) ./config.status config.h
234 $(srcdir)/config.h.in: $(am__configure_deps)
235 cd $(top_srcdir) && $(AUTOHEADER)
236 rm -f stamp-h1
237 touch $@
238
239 distclean-hdr:
240 -rm -f config.h stamp-h1
241 cvsgraph.1: $(top_builddir)/config.status $(srcdir)/cvsgraph.1.in
242 cd $(top_builddir) && $(SHELL) ./config.status $@
243 cvsgraph.conf.5: $(top_builddir)/config.status $(srcdir)/cvsgraph.conf.5.in
244 cd $(top_builddir) && $(SHELL) ./config.status $@
245 cvsgraph.spec: $(top_builddir)/config.status $(srcdir)/cvsgraph.spec.in
246 cd $(top_builddir) && $(SHELL) ./config.status $@
247 install-binPROGRAMS: $(bin_PROGRAMS)
248 @$(NORMAL_INSTALL)
249 test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
250 @list='$(bin_PROGRAMS)'; for p in $$list; do \
251 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
252 if test -f $$p \
253 ; then \
254 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
255 echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
256 $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
257 else :; fi; \
258 done
259
260 uninstall-binPROGRAMS:
261 @$(NORMAL_UNINSTALL)
262 @list='$(bin_PROGRAMS)'; for p in $$list; do \
263 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
264 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
265 rm -f "$(DESTDIR)$(bindir)/$$f"; \
266 done
267
268 clean-binPROGRAMS:
269 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
270 rcsy.h: rcsy.c
271 @if test ! -f $@; then \
272 rm -f rcsy.c; \
273 $(MAKE) rcsy.c; \
274 else :; fi
275 cvsgraph$(EXEEXT): $(cvsgraph_OBJECTS) $(cvsgraph_DEPENDENCIES)
276 @rm -f cvsgraph$(EXEEXT)
277 $(LINK) $(cvsgraph_LDFLAGS) $(cvsgraph_OBJECTS) $(cvsgraph_LDADD) $(LIBS)
278
279 mostlyclean-compile:
280 -rm -f *.$(OBJEXT)
281
282 distclean-compile:
283 -rm -f *.tab.c
284
285 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cvsgraph.Po@am__quote@
286 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsl.Po@am__quote@
287 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsy.Po@am__quote@
288 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/readconf.Po@am__quote@
289 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Po@am__quote@
290
291 .c.o:
292 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
293 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
294 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
295 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
296 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
297
298 .c.obj:
299 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
300 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
301 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
302 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
303 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
304
305 .l.c:
306 $(LEXCOMPILE) $<
307 sed '/^#/ s|$(LEX_OUTPUT_ROOT)\.c|$@|' $(LEX_OUTPUT_ROOT).c >$@
308 rm -f $(LEX_OUTPUT_ROOT).c
309
310 .y.c:
311 $(YACCCOMPILE) $<
312 if test -f y.tab.h; then \
313 to=`echo "$*_H" | sed \
314 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/' \
315 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`; \
316 sed -e "/^#/!b" -e "s/Y_TAB_H/$$to/g" -e "s|y\.tab\.h|$*.h|" \
317 y.tab.h >$*.ht; \
318 rm -f y.tab.h; \
319 if cmp -s $*.ht $*.h; then \
320 rm -f $*.ht ;\
321 else \
322 mv $*.ht $*.h; \
323 fi; \
324 fi
325 if test -f y.output; then \
326 mv y.output $*.output; \
327 fi
328 sed '/^#/ s|y\.tab\.c|$@|' y.tab.c >$@t && mv $@t $@
329 rm -f y.tab.c
330 uninstall-info-am:
331 install-man1: $(man1_MANS) $(man_MANS)
332 @$(NORMAL_INSTALL)
333 test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
334 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
335 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
336 for i in $$l2; do \
337 case "$$i" in \
338 *.1*) list="$$list $$i" ;; \
339 esac; \
340 done; \
341 for i in $$list; do \
342 if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
343 else file=$$i; fi; \
344 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
345 case "$$ext" in \
346 1*) ;; \
347 *) ext='1' ;; \
348 esac; \
349 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
350 inst=`echo $$inst | sed -e 's/^.*\///'`; \
351 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
352 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
353 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
354 done
355 uninstall-man1:
356 @$(NORMAL_UNINSTALL)
357 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
358 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
359 for i in $$l2; do \
360 case "$$i" in \
361 *.1*) list="$$list $$i" ;; \
362 esac; \
363 done; \
364 for i in $$list; do \
365 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
366 case "$$ext" in \
367 1*) ;; \
368 *) ext='1' ;; \
369 esac; \
370 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
371 inst=`echo $$inst | sed -e 's/^.*\///'`; \
372 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
373 echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
374 rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
375 done
376 install-man5: $(man5_MANS) $(man_MANS)
377 @$(NORMAL_INSTALL)
378 test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
379 @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
380 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
381 for i in $$l2; do \
382 case "$$i" in \
383 *.5*) list="$$list $$i" ;; \
384 esac; \
385 done; \
386 for i in $$list; do \
387 if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
388 else file=$$i; fi; \
389 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
390 case "$$ext" in \
391 5*) ;; \
392 *) ext='5' ;; \
393 esac; \
394 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
395 inst=`echo $$inst | sed -e 's/^.*\///'`; \
396 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
397 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
398 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
399 done
400 uninstall-man5:
401 @$(NORMAL_UNINSTALL)
402 @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
403 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
404 for i in $$l2; do \
405 case "$$i" in \
406 *.5*) list="$$list $$i" ;; \
407 esac; \
408 done; \
409 for i in $$list; do \
410 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
411 case "$$ext" in \
412 5*) ;; \
413 *) ext='5' ;; \
414 esac; \
415 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
416 inst=`echo $$inst | sed -e 's/^.*\///'`; \
417 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
418 echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
419 rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
420 done
421
422 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
423 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
424 unique=`for i in $$list; do \
425 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
426 done | \
427 $(AWK) ' { files[$$0] = 1; } \
428 END { for (i in files) print i; }'`; \
429 mkid -fID $$unique
430 tags: TAGS
431
432 TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
433 $(TAGS_FILES) $(LISP)
434 tags=; \
435 here=`pwd`; \
436 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
437 unique=`for i in $$list; do \
438 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
439 done | \
440 $(AWK) ' { files[$$0] = 1; } \
441 END { for (i in files) print i; }'`; \
442 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
443 test -n "$$unique" || unique=$$empty_fix; \
444 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
445 $$tags $$unique; \
446 fi
447 ctags: CTAGS
448 CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
449 $(TAGS_FILES) $(LISP)
450 tags=; \
451 here=`pwd`; \
452 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
453 unique=`for i in $$list; do \
454 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
455 done | \
456 $(AWK) ' { files[$$0] = 1; } \
457 END { for (i in files) print i; }'`; \
458 test -z "$(CTAGS_ARGS)$$tags$$unique" \
459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460 $$tags $$unique
461
462 GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
464 && cd $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) $$here
466
467 distclean-tags:
468 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
469
470 distdir: $(DISTFILES)
471 $(am__remove_distdir)
472 mkdir $(distdir)
473 $(mkdir_p) $(distdir)/. $(distdir)/contrib
474 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
475 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
476 list='$(DISTFILES)'; for file in $$list; do \
477 case $$file in \
478 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
479 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
480 esac; \
481 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
482 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
483 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
484 dir="/$$dir"; \
485 $(mkdir_p) "$(distdir)$$dir"; \
486 else \
487 dir=''; \
488 fi; \
489 if test -d $$d/$$file; then \
490 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
491 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
492 fi; \
493 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
494 else \
495 test -f $(distdir)/$$file \
496 || cp -p $$d/$$file $(distdir)/$$file \
497 || exit 1; \
498 fi; \
499 done
500 $(MAKE) $(AM_MAKEFLAGS) \
501 top_distdir="$(top_distdir)" distdir="$(distdir)" \
502 dist-hook
503 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
504 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
505 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
506 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
507 || chmod -R a+r $(distdir)
508 dist-gzip: distdir
509 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
510 $(am__remove_distdir)
511
512 dist-bzip2: distdir
513 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
514 $(am__remove_distdir)
515
516 dist-tarZ: distdir
517 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
518 $(am__remove_distdir)
519
520 dist-shar: distdir
521 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
522 $(am__remove_distdir)
523
524 dist-zip: distdir
525 -rm -f $(distdir).zip
526 zip -rq $(distdir).zip $(distdir)
527 $(am__remove_distdir)
528
529 dist dist-all: distdir
530 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
531 $(am__remove_distdir)
532
533 # This target untars the dist file and tries a VPATH configuration. Then
534 # it guarantees that the distribution is self-contained by making another
535 # tarfile.
536 distcheck: dist
537 case '$(DIST_ARCHIVES)' in \
538 *.tar.gz*) \
539 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
540 *.tar.bz2*) \
541 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
542 *.tar.Z*) \
543 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
544 *.shar.gz*) \
545 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
546 *.zip*) \
547 unzip $(distdir).zip ;;\
548 esac
549 chmod -R a-w $(distdir); chmod a+w $(distdir)
550 mkdir $(distdir)/_build
551 mkdir $(distdir)/_inst
552 chmod a-w $(distdir)
553 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
554 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
555 && cd $(distdir)/_build \
556 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
557 $(DISTCHECK_CONFIGURE_FLAGS) \
558 && $(MAKE) $(AM_MAKEFLAGS) \
559 && $(MAKE) $(AM_MAKEFLAGS) dvi \
560 && $(MAKE) $(AM_MAKEFLAGS) check \
561 && $(MAKE) $(AM_MAKEFLAGS) install \
562 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
563 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
564 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
565 distuninstallcheck \
566 && chmod -R a-w "$$dc_install_base" \
567 && ({ \
568 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
569 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
570 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
571 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
572 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
573 } || { rm -rf "$$dc_destdir"; exit 1; }) \
574 && rm -rf "$$dc_destdir" \
575 && $(MAKE) $(AM_MAKEFLAGS) dist \
576 && rm -rf $(DIST_ARCHIVES) \
577 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
578 $(am__remove_distdir)
579 @(echo "$(distdir) archives ready for distribution: "; \
580 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
581 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
582 distuninstallcheck:
583 @cd $(distuninstallcheck_dir) \
584 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
585 || { echo "ERROR: files left after uninstall:" ; \
586 if test -n "$(DESTDIR)"; then \
587 echo " (check DESTDIR support)"; \
588 fi ; \
589 $(distuninstallcheck_listfiles) ; \
590 exit 1; } >&2
591 distcleancheck: distclean
592 @if test '$(srcdir)' = . ; then \
593 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
594 exit 1 ; \
595 fi
596 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
597 || { echo "ERROR: files left in build directory after distclean:" ; \
598 $(distcleancheck_listfiles) ; \
599 exit 1; } >&2
600 check-am: all-am
601 check: check-am
602 all-am: Makefile $(PROGRAMS) $(MANS) config.h
603 installdirs:
604 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)"; do \
605 test -z "$$dir" || $(mkdir_p) "$$dir"; \
606 done
607 install: install-am
608 install-exec: install-exec-am
609 install-data: install-data-am
610 uninstall: uninstall-am
611
612 install-am: all-am
613 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
614
615 installcheck: installcheck-am
616 install-strip:
617 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
618 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
619 `test -z '$(STRIP)' || \
620 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
621 mostlyclean-generic:
622
623 clean-generic:
624 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
625
626 distclean-generic:
627 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
628
629 maintainer-clean-generic:
630 @echo "This command is intended for maintainers to use"
631 @echo "it deletes files that may require special tools to rebuild."
632 -rm -f rcsl.c
633 -rm -f rcsy.c
634 -rm -f rcsy.h
635 clean: clean-am
636
637 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
638
639 distclean: distclean-am
640 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
641 -rm -rf ./$(DEPDIR)
642 -rm -f Makefile
643 distclean-am: clean-am distclean-compile distclean-generic \
644 distclean-hdr distclean-tags
645
646 dvi: dvi-am
647
648 dvi-am:
649
650 html: html-am
651
652 info: info-am
653
654 info-am:
655
656 install-data-am: install-man
657
658 install-exec-am: install-binPROGRAMS
659
660 install-info: install-info-am
661
662 install-man: install-man1 install-man5
663
664 installcheck-am:
665
666 maintainer-clean: maintainer-clean-am
667 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
668 -rm -rf $(top_srcdir)/autom4te.cache
669 -rm -rf ./$(DEPDIR)
670 -rm -f Makefile
671 maintainer-clean-am: distclean-am maintainer-clean-generic
672
673 mostlyclean: mostlyclean-am
674
675 mostlyclean-am: mostlyclean-compile mostlyclean-generic
676
677 pdf: pdf-am
678
679 pdf-am:
680
681 ps: ps-am
682
683 ps-am:
684
685 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
686
687 uninstall-man: uninstall-man1 uninstall-man5
688
689 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
690 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
691 dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
692 distclean distclean-compile distclean-generic distclean-hdr \
693 distclean-tags distcleancheck distdir distuninstallcheck dvi \
694 dvi-am html html-am info info-am install install-am \
695 install-binPROGRAMS install-data install-data-am install-exec \
696 install-exec-am install-info install-info-am install-man \
697 install-man1 install-man5 install-strip installcheck \
698 installcheck-am installdirs maintainer-clean \
699 maintainer-clean-generic mostlyclean mostlyclean-compile \
700 mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
701 uninstall-am uninstall-binPROGRAMS uninstall-info-am \
702 uninstall-man uninstall-man1 uninstall-man5
703
704 dist-hook:
705 rm -rf `find $(distdir)/contrib -name CVS` $(distdir)/contrib/.cvsignore $(distdir)/contrib/Makefile $(distdir)/contrib/*.php
706 # Tell versions [3.59,3.63) of GNU make to not export all variables.
707 # Otherwise a system limit (for SysV at least) may be exceeded.
708 .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0